/*
 * CachingWithAspectJ
 * Copyright (C) 2008 Christian Schenk
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */
package org.christianschenk.aspectj.caching.exampleapplication;

/**
 * This class represents an object that takes a lot of time to create.
 * 
 * @author Christian Schenk
 */
public class ExpensiveObject {

	private final long parameter;

	public ExpensiveObject() {
		this(500);
	}

	public ExpensiveObject(final long milliseconds) {
		this.parameter = milliseconds;
		try {
			Thread.sleep(milliseconds);
		} catch (final InterruptedException ex) {
			throw new RuntimeException(ex);
		}
	}

	public long getParameter() {
		return this.parameter;
	}
}