/*
 * CachingWithAspectJ
 * Copyright (C) 2008 Christian Schenk
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */
package org.christianschenk.aspectj.caching.exampleapplication;

import org.christianschenk.aspectj.caching.Cachable;

/**
 * Some sample application that returns two objects. The creation of these objects takes some time.
 * 
 * @author Christian Schenk
 */
public class MyApplication {

	@Cachable
	public ExpensiveObject getExpensiveObject(final int param1) {
		return new ExpensiveObject(param1 * 50);
	}

	@Cachable
	public ExpensiveObject getAnotherExpensiveObject(final int param1, final long param2) {
		// do something with params2 ...
		return new ExpensiveObject(param1 * 45);
	}
}